
alter table pagamento add Stampato datetime;

ALTER VIEW [dbo].[vwRicevute]
AS
SELECT        dbo.vendita.id_vendita, dbo.pagamento.id_pagamento, dbo.pagamento.importo, dbo.pagamento.data_prevista, dbo.pagamento.data_pagamento, dbo.Contatto.Nominativo, dbo.vendita.data, dbo.vendita.totale_vendita, 
                         dbo.pagamento.id_tipo_pagamento, dbo.pagamento.guid, dbo.Contatto.Id_Contatto, dbo.pagamento.autore, dbo.pagamento.creato, dbo.pagamento.revisore, dbo.pagamento.modificato, dbo.pagamento.numeroricevuta, 
                         dbo.pagamento.annoricevuta, CONVERT(varchar(MAX), dbo.pagamento.numeroricevuta) + '|' + CONVERT(varchar(MAX), ISNULL(dbo.pagamento.annoricevuta, '9999')) AS numerofull, 
                         dbo.Tipo_Pagamento.Descrizione AS TipoPagamento, 
						 dbo.pagamento.stampato, 
						 CASE  
							when dbo.pagamento.stampato is null  then CONVERT(varchar(MAX), dbo.pagamento.numeroricevuta) + '|' + CONVERT(varchar(MAX), ISNULL(dbo.pagamento.annoricevuta, '9999'))
							else '' 							
						END
						as numerofullStampa
FROM            dbo.pagamento INNER JOIN
                         dbo.vendita ON dbo.pagamento.id_vendita = dbo.vendita.id_vendita LEFT OUTER JOIN
                         dbo.Tipo_Pagamento ON dbo.pagamento.id_tipo_pagamento = dbo.Tipo_Pagamento.id_Tipo_Pagamento LEFT OUTER JOIN
                         dbo.Contatto ON dbo.vendita.id_contatto = dbo.Contatto.Id_Contatto
WHERE        (dbo.pagamento.data_pagamento IS NOT NULL)
GO

select * from [dbo].[vwRicevute]
